The "List Transactions" API allows to retrieve a paginated list of transactions. Customize your results by filtering transactions based on name, alt type, transaction status, payment mode, date range, type of source, contact, subscription id, entity id or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve transaction information.

http
GET https://services.leadconnectorhq.com/payments/transactions

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringNo3SwdhCu3svxI8AKsPJt6LocationId is the id of the account.
altIdstringYes3SwdhCu3svxI8AKsPJt6AltId is the unique identifier e.g: account id.
altTypestringYesaccountAltType is the type of identifier.
paymentModestringNoliveMode of payment.
startAtstringNo2024-02-01Starting interval of transactions.
endAtstringNo2024-02-13Closing interval of transactions.
entitySourceTypestringNofunnelSource of the transactions.
entitySourceSubTypestringNotwo_step_order_formSource sub-type of the transactions.
searchstringNoAwesome transactionThe name of the transaction for searching.
subscriptionIdstringNosub_1KGcXDCScnf89tZoVkoEMCELSubscription id for filtering of transactions.
entityIdstringNo61dd0fe9c077f73e67f78803Entity id for filtering of transactions.
contactIdstringNoXPLSw2SVagl12LMDeTmQContact id for filtering of transactions.
limitnumberNo20The maximum number of items to be included in a single page of results
offsetnumberNo0The starting index of the page, indicating the position from which the results should be retrieved.

Responses

200 - Successful response
  • data (object[], required): An array of transactions

    • _id (string, required): The unique identifier for the transaction. Example: 61dd0feac077f72010f78804

    • altId (string, required): AltId is the unique identifier eg: account id. Example: 3SwdhCu3svxI8AKsPJt6

    • altType (string, required): AltType is the type of identifier. Example: account

    • contactId (string): Contact id corresponding to the transaction. Example: XPLSw2SVagl12LMDeTmQ

    • mergedFromContactId (string): ID of the contact that was merged from. Example: XPLSw2SVagl12LMDeTmQ

    • contactName (string): Contact name corresponding to the transaction. Example: James Bond

    • contactEmail (string): Contact email corresponding to the transaction. Example: james.bond@leadwaycrm.com

    • currency (string): Currency in which transaction occurred. Example: USD

    • amount (number): Transaction value. Example: 100

    • status (object, required): The status of the transaction (e.g., succeeded). Example: succeeded

    • liveMode (boolean): Transaction is in live / test mode. Example: false

    • entityType (string): Entity type of transaction (eg: order). Example: order

    • entityId (string): Entity id for the transaction. e.g: order id Example: 61dd0fe9c077f73e67f78803

    • entitySourceType (string, required): Entity source type of transaction (eg: funnel). Example: funnel

    • entitySourceSubType (string): Entity source sub-type of the transactions. Example: two_step_order_form

    • entitySourceName (string): Entity source name for the transaction. Example: new funnel

    • entitySourceId (string): Entity source id for the transaction. Example: BDBMEghdIUaqMPEsK349

    • entitySourceMeta (object): Meta content for the entity source of transaction. Example: { domain: "app.leadwaycrm.com", pageId: "rBVhyYhMsbxbO8ZqOcei", pageUrl: "/v2/preview/rBVhyYhMsbxbO8ZqOcei", stepId: "5a772f62-3fbc-418b-af1b-be8929dd64c2"}

    • subscriptionId (string): Subscription id for transaction. Example: sub_1KGcXDCScnf89tZoVkoEMCEL

    • chargeId (string): Charge id for transaction. Example: in_1KGcXDCScnf89tZohCsmImwE

    • chargeSnapshot (object): Charge snapshot of transaction. Example: { id: "in_1KGcXDCScnf89tZohCsmImwE", object: "invoice", account_country: "US", account_name: "GHL-Testing" }

    • paymentProviderType (string): Payment provider for transaction. Example: stripe

    • paymentProviderConnectedAccount (string): Payment provider account id for transaction. Example: 612ca676b484b241fef9d962

    • ipAddress (string): Ip address from where transaction was initiated. Example: 107.178.194.224

    • createdAt (string, required): The creation timestamp of the transaction. Example: 2023-11-20T10:23:36.515Z

    • updatedAt (string, required): The update timestamp of the transaction. Example: 2023-11-20T10:23:36.515Z

    • amountRefunded (number): Transaction amount refunded. Example: 10

    • paymentMethod (object): Transaction payment method details. Example: { card: { "brand": "discover", "last4": "0012" } }

    • fulfilledAt (string, required): The charged timestamp of the transaction. Example: 2023-11-20T10:27:36.515Z

    • createdBy (string): User ID who created the transaction. Example: user123

  • totalCount (number, required): total transactions count

json
{
  "data": [
    {
      "_id": "61dd0feac077f72010f78804",
      "altId": "3SwdhCu3svxI8AKsPJt6",
      "altType": "account",
      "contactId": "XPLSw2SVagl12LMDeTmQ",
      "mergedFromContactId": "XPLSw2SVagl12LMDeTmQ",
      "contactName": "James Bond",
      "contactEmail": "james.bond@leadwaycrm.com",
      "currency": "USD",
      "amount": "100",
      "status": "succeeded",
      "liveMode": "false",
      "entityType": "order",
      "entityId": "61dd0fe9c077f73e67f78803",
      "entitySourceType": "funnel",
      "entitySourceSubType": "two_step_order_form",
      "entitySourceName": "new funnel",
      "entitySourceId": "BDBMEghdIUaqMPEsK349",
      "entitySourceMeta": "{ domain: \"app.leadwaycrm.com\", pageId:  \"rBVhyYhMsbxbO8ZqOcei\", pageUrl:  \"/v2/preview/rBVhyYhMsbxbO8ZqOcei\", stepId:   \"5a772f62-3fbc-418b-af1b-be8929dd64c2\"}",
      "subscriptionId": "sub_1KGcXDCScnf89tZoVkoEMCEL",
      "chargeId": "in_1KGcXDCScnf89tZohCsmImwE",
      "chargeSnapshot": "{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\",  account_name:  \"GHL-Testing\" }",
      "paymentProviderType": "stripe",
      "paymentProviderConnectedAccount": "612ca676b484b241fef9d962",
      "ipAddress": "107.178.194.224",
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2023-11-20T10:23:36.515Z",
      "amountRefunded": "10",
      "paymentMethod": "{ card: { \"brand\": \"discover\", \"last4\": \"0012\" } }",
      "fulfilledAt": "2023-11-20T10:27:36.515Z",
      "createdBy": "user123"
    }
  ],
  "totalCount": 0
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/payments/transactions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?